﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="DropDownControl.ascx.vb"
    Inherits="DropDownControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<script type="text/javascript">
    // NOTE - these two functions can be moved to the page
	function StopPropagation(e)
	{
        //cancel bubbling 
	    e.cancelBubble = true; 
		if (e.stopPropagation) 
        {
			e.stopPropagation();
		}
	}

	//this method removes the ending character from a string
	function removeLastDelimiter(str) 
	{
	    var len = str.length;
	    if (len > 1)
	        return str.substr(0, len - 1);
	    return str;
	}
</script>


<div>
    <table>
        <tr>
            <td style="height: 43px">
                <telerik:RadComboBox ID="CB1" runat="server" Skin="Forest" AllowCustomText="True"
                    OnItemDataBound="CB1_ItemDataBound" HighlightTemplatedItems="True">
                    <HeaderTemplate>
                        <asp:CheckBox runat="server" ID="SelectAll" />
                        <asp:Label runat="server" ID="hdrLabel" AssociatedControlID="SelectAll">Select All</asp:Label>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <div onclick="StopPropagation(event)">
                            <asp:CheckBox runat="server" ID="chk1" />
                            <asp:Label runat="server" ID="label1" AssociatedControlID="chk1"><%# DataBinder.Eval(Container, "Text") %></asp:Label>
                        </div>
                    </ItemTemplate>
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                </telerik:RadComboBox>
            </td>
        </tr>
    </table>
</div>
